/* md
@name sql/table/images
We may want to store images one day. This is unused for now
*/

/* sh
@name sql/table/images
echo "digraph images {" \
	"$(cat doc/schema/images.dot)" \
	"$(cat doc/schema/authors.dot)" \
	"}" | dot -Tsvg
*/
CREATE TABLE IF NOT EXISTS images (
	id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
	name TEXT,
	image BLOB,
	authorid REFERENCES authors(id) ON DELETE CASCADE,
	upload_time INTEGER,
	hashedip BLOB
);
